## org.h2.bnf.context
Class DbTableOrView

    java.lang.Object
      org.h2.bnf.context.DbTableOrView

    public class DbTableOrView

extends java.lang.Object

Contains meta data information about a table or a view. This class is used by the H2 Console.

Constructor Summary
`DbTableOrView(DbSchema schema, java.sql.ResultSet rs)`

Method Summary
`DbColumn[]` `getColumns()`
`java.lang.String` `getName()`
`java.lang.String` `getQuotedName()`
`DbSchema` `getSchema()`
`boolean` `isView()`
`void` `readColumns(java.sql.DatabaseMetaData meta)` Read the column for this table from the database meta data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbTableOrView

    public DbTableOrView(DbSchema schema,
                         java.sql.ResultSet rs)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getSchema

    public DbSchema getSchema()

  Returns:
    The schema this table belongs to.

### getColumns

    public DbColumn[] getColumns()

  Returns:
    The column list.

### getName

    public java.lang.String getName()

  Returns:
    The table name.

### isView

    public boolean isView()

  Returns:
    True if this represents a view.

### getQuotedName

    public java.lang.String getQuotedName()

  Returns:
    The quoted table name.

### readColumns

    public void readColumns(java.sql.DatabaseMetaData meta)
                     throws java.sql.SQLException

  Read the column for this table from the database meta data.

  Parameters:
    `meta` - the database meta data
  Throws:
    `java.sql.SQLException`